#include <iostream>
using namespace std;

typedef struct
{
	int d;
	int u;
}vaga;

typedef struct
{
	int l;
	int r;
	int x;
}pitanje;

int main()
{
	int n, m;
	cin >> n >> m;
	
	vaga a[n];
	pitanje b[m];
	for(int i = 0; i < n; i++)
	{
		cin >> a[i].d >> a[i].u;
	}
	
	for(int i = 0; i < m; i++)
	{
		cin >> b[i].l >> b[i].r >> b[i].x;
	}
	
	int s = 0;
	
	for(int i = 0; i < m; i++)
	{
		s = 0;
		
		for(int j = b[i].l; j <= b[i].r; j++)
		{
			if(b[i].x >= a[j].d && b[i].x <= a[j].u)
				s++;
		}
		
		cout << s << endl;
	}
	
	return 0;
}